.chat-wrapper {
    width: 100%;
    height: auto;
    background-color: #ffffff;
    border-radius: 12px;
    overflow: hidden;
}

.chat-wrapper p {
    margin-bottom: 0;
}

.chat-head {
    position: relative;
    width: 100%;
    height: auto;
    padding: 16px;
    color: #ffffff;
    background: #067cf1;
}

.available-doctors {
    position: relative;
    height: 50px;
    transform: translateX(-3px);
}

.available-doctors img {
    width: 50px;
    height: auto;
    border-radius: 50% !important;
    position: absolute;
    border: 4px solid #067cf1 !important;
}

.doc-1 {
    left: 0%;
    z-index: 5;
}

.doc-2 {
    left: 5%;
    z-index: 4;
}

.doc-3 {
    left: 10%;
    z-index: 3;
}

.doc-4 {
    left: 15%;
    z-index: 2;
}

.doc-5 {
    left: 20%;
    z-index: 1;
}

@media (max-width: 500px) {
    .doc-2 {
    left: 25px;
}

.doc-3 {
    left: 50px;
}

.doc-4 {
    left: 75px;
}

.doc-5 {
    left: 100px;
}
.input-field {
    min-height: 110px !important;
    max-height: 110px !important;
}
.chat-scroll {
    height: 340px !important;
}
}

.doc-count {
    font-size: 14px;
}

.count {
    display: inline-block;
    width: 9px;
    height: 9px;
    background-color: #2ecc71;
    border: 2px solid #ffffff;
    border-radius: 50%;
    margin-right: 6px;
}

.dummy-rating {
    display: flex;
    align-items: center;
    font-size: 14px;
    margin-top: 4px;
}

.rating {
    display: flex;
    margin-right: 6px;
}

.rating img{
    width: 16px;
    height: auto;
}

.chat-scroll {
    position: relative;
    width: 100%;
    height: 380px;
    overflow: auto;
    padding: 16px 16px ;
}

.chat-scroll::-webkit-scrollbar {
  width: 10px;
}

.chat-scroll::-webkit-scrollbar-track {
  background: #f2f5f7;
}

.chat-scroll::-webkit-scrollbar-thumb {
  background: #888;
}

.chat-scroll::-webkit-scrollbar-thumb:hover {
  background: #303030;
}

.system, .user {
    display: flex;
    margin-bottom: 8px;
    align-items: flex-end
}

.chat-scroll .system:nth-child(1) {
    display: none;
}
.chat-scroll > div:nth-child(2) {
    display: none;
}

.typing-wrap {
    position: relative;
}

.typing {
    position: absolute;
    width: 40px;
    height: auto;
    left: 16px;
    bottom: 16px;
    background-color: #eef7ff;
    border-radius: 5px !important;
}

.user {
    justify-content: flex-end;
}

.avatar-wrap {
    position: relative;
}

.avatar {
    width: 36px !important;
    max-width: 36px !important;
    height: auto !important;
    border-radius: 50% !important;
}

.status {
    position: absolute;
    bottom: 0px;
    right: 0px;
    z-index: 3;
    width: 10px;
    height: 10px;
    background-color: #2ecc71;
    border: 2px solid #ffffff;
    border-radius: 50%;
}

.ai-name {
    margin-bottom: 4px !important;
    color: #8796a0;
    padding: 0 16px;
    font-size: 12px;
}

.system-content {
    max-width: 90%;
    font-size: 14px;
    background-color: #eef7ff;
    padding: 10px;
    border-radius: 5px;
    margin-left: 8px;
}

.user-content {
    max-width: 90%;
    font-size: 13px;
    background-color: #fffbed;
    padding: 8px;
    border-radius: 5px;
}

.url-preview {
    display: block;
    width: 70%;
    margin-top: 8px;
    border: 1px solid #eee;
    border-radius: 5px;
    overflow: hidden;
    color: #303030 !important;
    margin-left: 8px;
}

.url-preview h4 {
    font-size: 13px;
    padding: 0 8px;
    font-weight: 700;
    margin-bottom: 0;
}

.url-preview p {
    font-size: 12px;
    padding: 0 8px 8px 8px;
}

.chat-input-wrap {
    width: 100%;
    display: flex;
    background-color: #E1E8ED;
    padding: 16px;
}

.input-field {
    flex-grow: 1;
    min-height: 140px;
    max-height: 140px;
    font-size: 14px;
    color: #303030;
    resize: none;
    background-color: #ffffff;
    border: 2px solid #ffffff;
    padding: 12px;
    border-radius: 5px;
}

.input-field::placeholder {
  color: #8796a0;
  opacity: 1;
}

.input-field:-ms-input-placeholder {
  color: #8796a0;
}

.input-field::-ms-input-placeholder {
  color: #8796a0;
}

.input-field:focus-visible {
    outline: none;
    border: 2px solid #067cf1;
}

.user-input-submit {
    display: flex;
    width: 50px;
    height: 50px;
    background-color: #067cf1;
    margin-left: 14px;
    border-radius: 50%;
    cursor: pointer;
    transition-duration: 300ms;
    flex: none;
}

.btn-enabled {
    pointer-events: all;
}

.btn-disabled {
    pointer-events: none;
    background-color: #a9b4bc;
}

.user-input-submit:hover {
    background-color: #024586;
}

.send-message {
    margin: auto;
    width: 30px;
    height: auto;
    transform: translateX(-2px);
}
.user-input-submit.disabled {
    opacity: 0.5;
    pointer-events: none;
}